/*!
Theme Name: DC Theme
Description: Theme for DC Sites
Author: DOJO Creative
Author URI: https://letsgodojo.com/
Template: hello-elementor
Version: 1.0.0
Text Domain: dctheme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/
/* Add your custom styles here */
:root {
  --e-global-color-primary: #010A17;
  --e-global-color-secondary: #015699;
  --e-global-color-text: #FFFFFF;
  --e-global-color-accent: #D3B34E;
  --e-global-color-d08605a: #AB8E32;
  --e-global-color-17264f4: #003E6E;
}

table {
  font-size: 1em;
}

/* Section - Light styles */
:where(.e-con.p-con-light) {
  --pcon-bg: var(--e-global-color-secondary, #ccc);
  --pcon-fg: var(--e-global-color-text, #333);
  background-color: var(--pcon-bg);
  color: var(--pcon-fg);
}

/* Make common text widgets inherit (still overridable per-widget in GUI) */
:where(.e-con.p-con-light) :is(.elementor-heading-title,
.elementor-widget-text-editor,
h1,
h2,
h3,
h4,
h5,
h6,
p,
li,
blockquote) {
  color: inherit;
}

/* Optional: links follow the text color unless you style them in GUI */
:where(.e-con.p-con-light) a {
  color: inherit;
}

/* Section - Dark (accent) styles */
:where(.e-con.p-con-dark) {
  --pcon-bg: var(--e-global-color-accent, rgb(188, 0, 0));
  --pcon-fg: #fff;
  background-color: var(--pcon-bg);
  color: var(--pcon-fg);
}

/* Make common text widgets inherit (still overridable per-widget in GUI) */
:where(.e-con.p-con-overlay) :is(.elementor-heading-title,
.elementor-widget-text-editor,
h1,
h2,
h3,
h4,
h5,
h6,
p,
li,
blockquote) {
  color: inherit;
}

/* Optional: links follow the text color unless you style them in GUI */
:where(.e-con.p-con-dark) a {
  color: inherit;
}

main#content {
  --padding-top: 100px;
  --padding-bottom: 100px;
  --padding-left: 20px;
  --padding-right: 20px;
  padding-top: var(--padding-top);
  padding-bottom: var(--padding-bottom);
}
@media (max-width: 1366px) {
  main#content {
    --padding-top: 50px;
    --padding-bottom: 50px;
    --padding-left: 20px;
    --padding-right: 20px !important;
  }
}

.elementor-page main#content {
  padding-top: 0;
  padding-bottom: 0;
}

.e-con.p-con-def {
  --padding-top: 100px;
  --padding-bottom: 100px;
  --padding-left: 20px;
  --padding-right: 20px;
}
@media (max-width: 1366px) {
  .e-con.p-con-def {
    --padding-top: 50px;
    --padding-bottom: 50px;
    --padding-left: 20px;
    --padding-right: 20px !important;
  }
}
.e-con.p-con-def + .e-con.p-con-def {
  --padding-top:0;
}
.e-con.p-con-overlay {
  --padding-top: 100px;
  --padding-bottom: 100px;
  --padding-left: 20px;
  --padding-right: 20px;
  background-color: var(--e-global-color-accent);
}
@media (max-width: 1366px) {
  .e-con.p-con-overlay {
    --padding-top: 50px;
    --padding-bottom: 50px;
    --padding-left: 20px;
    --padding-right: 20px !important;
  }
}
.e-con.p-con-overlay + .e-con.p-con-overlay {
  --padding-top:0;
}

#legal {
  font-size: 15px;
  color: rgba(255, 255, 255, 0.3);
}
#legal a {
  color: rgba(255, 255, 255, 0.3);
}
#legal svg .d-d {
  fill: rgba(255, 255, 255, 0.3);
}
#legal svg .d-j {
  fill: rgba(255, 255, 255, 0.3);
}

/*** Header Styles ***/
.dj_card_box .elementor-heading-title {
  color: var(--e-global-color-primary);
}

.dj_card_box:hover {
  transform: translateY(-10px);
  cursor: pointer;
}

/*** Global Styles ***/
.elementor-widget-text-editor p:last-child {
  margin-bottom: 0;
}

.elementor-widget-text-editor ul, .elementor-widget-text-editor ol {
  padding-left: 20px;
}

@media (width <= 767px) {
  .dj_iconbox.elementor-widget-icon-box.elementor-mobile-position-block-start .elementor-icon-box-wrapper {
    flex-direction: row !important;
    align-items: center !important;
  }
  .dj_iconbox .elementor-icon-box-content {
    text-align: left;
  }
}
.elementor-widget-text-editor a, .dj_iconbox a, .dj_iconbox a:hover {
  color: inherit;
}

.elementor-widget-text-editor a:hover {
  color: var(--e-global-color-accent);
}

.dj_overlay_section {
  background: radial-gradient(50% 50% at 50% 50%, #004AAD 0%, rgba(0, 74, 173, 0) 100%);
}

/*** Blog Styles ***/
/* Hide required text */
.gform_required_legend {
  display: none;
}

/* Text, Label Styles */
.gform_wrapper .gfield_label, .ginput_container label {
  font-family: var(--e-global-typography-accent-font-family), Sans-serif;
  font-size: var(--e-global-typography-accent-font-size) !important;
  font-weight: var(--e-global-typography-accent-font-weight) !important;
  line-height: var(--e-global-typography-accent-line-height) !important;
  text-transform: var(--e-global-typography-accent-text-transform) !important;
}

.gform_wrapper input, .gform_wrapper textarea, .gform_wrapper .ginput_container_select {
  border-radius: 8px !important;
  border: 1px solid #B9B9B9 !important;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.1) inset !important;
}

.gform_wrapper input {
  padding: 25px 10px !important;
}

.gform_wrapper input.gfield-choice-input {
  padding: 0 !important;
}

.ginput_container_select {
  padding: 5px 0px;
}

.ginput_container_select select {
  padding-top: 7px !important;
}

.ginput_container_select select {
  background: transparent !important;
  border: none !important;
  box-shadow: none !important;
}

.gfield.gfield--type-checkbox .gchoice input {
  padding: 0;
}

.gfield--input-type-date .ginput_container_date input {
  width: 100%;
}

.gfield label {
  color: #fff;
}

/* Submit Button  */
.gform_wrapper input[type=button], .gform_wrapper input[type=submit] {
  font-family: var(--e-global-typography-accent-font-family), Sans-serif !important;
  font-size: var(--e-global-typography-accent-font-size) !important;
  font-weight: var(--e-global-typography-accent-font-weight) !important;
  line-height: var(--e-global-typography-accent-line-height) !important;
  text-transform: uppercase !important;
  background-color: var(--e-global-color-accent) !important;
  border: 2px solid var(--e-global-color-accent) !important;
  border-radius: 8px !important;
  padding: 10px 40px 10px 40px !important;
}

.gform_wrapper input[type=button]:hover, .gform_wrapper input[type=submit]:hover {
  background-color: transparent !important;
  color: var(--e-global-color-accent) !important;
}